## org.eclipse.jst.pagedesigner.converter
Interface IConverterFactory

    public interface IConverterFactory

Version:
  1.5

Field Summary
`static int` `MODE_DESIGNER` indicates designer mode
`static int` `MODE_PREVIEW` indicates preview mode

Method Summary
`ITagConverter` `createConverter(org.w3c.dom.Element element, int mode)`
`java.lang.String` `getSupportedURI()` get the URI namespace that this factory support.

Field Detail

### MODE_DESIGNER

    static final int MODE_DESIGNER

  indicates designer mode

  See Also:
    Constant Field Values

### MODE_PREVIEW

    static final int MODE_PREVIEW

  indicates preview mode

  See Also:
    Constant Field Values

Method Detail

### createConverter

    ITagConverter createConverter(org.w3c.dom.Element element,
                                  int mode)

  Parameters:
    `element` -
    `mode` -
  Returns:
    null if this factory don't support this element

### getSupportedURI

    java.lang.String getSupportedURI()

  get the URI namespace that this factory support. "null" means this factory can be used as default factory.

  Returns:
    null if this factory don't have a specific URI to support.